Create a network with the Chainstack Platform API
Create a new blockchain network in a Chainstack project using the Platform API. Send a POST request to /v1/networks/ with the network configuration.
Authorizations
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \
--header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'All API requests must be made over HTTPS.
Body
Name of the network.
- Required for
consortiumnetworks. - Autogenerated for
public chainnetworks.
ID of the network's project.
Protocol.
See also Supported protocols.
ethereum, polygon-pos, bsc, avalanche, arbitrum, near, aurora, gnosis, cronos, fantom, starknet, harmony, tezos, fuse, bitcoin Protocol-specific parameters.
Pass {} if there are no specific parameters for the chosen protocol.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
List of nodes that will be initially created.
Creator of the network.
When the network was created.
Response
Name of the network.
ID of the network's project.
Protocol.
See also Supported protocols.
ethereum, polygon-pos, bsc, avalanche, arbitrum, near, aurora, gnosis, cronos, fantom, starknet, harmony, tezos, fuse, bitcoin Creator of the network.
When the network was created.
Ethereum network configuration.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16